Subject: Re: PostgreSQL 8.1.2 crashes diring import...
From: "Reini Urban" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 24 Jan 2006 13:50:49 +0100 (CET)

I see in your previous mail, that your cygserver SHM settings
are already at the maximum. Hope that your have that much RAM/Virtual Memory.

The previous error was an interrupted call error 2, which is not the case
with your problem.
Jason's Problem:
3 [main] postmaster 1144 transport_layer_pipes::connect: lost connection
to cygserver, error = 2
...
FATAL:  could not create shared memory segment: Interrupted system call
DETAIL:  Failed system call was shmget(key=5432001, size=8970240, 03600).

Your problem:
9 [main] postmaster 656 transport_layer_pipes::connect: lost
connection to cygserver, error = 121

Can you try running cygserver with -d. For testing best started from the
console, not as service. Maybe within a sysbash to have the same
permissions.

BTW: My cygwin packages 8.06 and 8.1.2 to test against are at
the setup User Url: http://xarch.tu-graz.ac.at/publ/cygwin/

I haven't tested yet such a big 3-4GIG import, a huge index might need
more than with 8.0, but the heavy and parallel regressions do all pass
so far.

> Adding to my own message.
>
> Just found this, which is from two years ago and reflects on the same
> problem -
>
> http://www.cygwin.com/ml/cygwin-apps/2004-01/msg00014.html
>
> This e-mail says that cygserver simply exits upon high load upon
> PostgreSQL.
>
> This e-mail says that the problem is fixed -
>
> http://www.cygwin.com/ml/cygwin-apps/2004-01/msg00179.html
>
> Could it be that the problem has come back?

Could be but I doubt it.
-- 
Reini Urban
http://phpwiki.org/   http://xarch.tu-graz.ac.at/home/rurban/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/